\documentclass{article}
\usepackage[utf8]{inputenc}
\usepackage{graphicx}
\usepackage{float}
\usepackage[ngerman]{babel}

\title{Test documentation}
\author{Alain Mahieu, Hieu Le, Jeongkyeong Park, Liangkun He and Tomasz Karg}

\date{\today}

\begin{document}


\maketitle
\section{Time of execution}
To investigate how much time does it need to execute the features we used on our interface, we used the library \emph{time}. We created a variable to save the time before the method was called and one after the method was successfully executed. Then we printed the difference between this two points of time. Followings are the screenshots of the extensions in our code to test and also the results.

\begin{figure}[H]
    \centering
    \includegraphics[width=\textwidth]{media/time_pt.png}
    \caption{To investigate the time of extraction of process tree}
    \label{fig:my_label}
\end{figure}
\begin{figure}[H]
    \centering
    \includegraphics[width=\textwidth]{media/time_fm.png}
    \caption{To investigate the time of extraction of footprint matrices}
    \label{fig:my_label}
\end{figure}
\begin{figure}[H]
    \centering
    \includegraphics[width=\textwidth]{media/res.png}
    \caption{Results}
    \label{fig:my_label}
\end{figure}

The time to extract Process tree is: 0.498.\\
The time to extract Footprint matrix from event log is: 0.00498.\\
The time to extract Footprint matrix from process tree is: 0.00399.\\


\section{Testcases for footprint extraction}
We have extended our Unit Test Cases for the extraction of footprints from process trees. These test cases now check in deatail the correctness for the different operator nodes of process trees. In detail we covered the operator nodes \glqq Loop \grqq, \glqq Parallel\grqq, \glqq Choice \grqq and \glqq Sequence \grqq. They are all handled to extract the correct footprints, activities, start activities and end activities. Since all of the tests pass we have good reason to believe that our implementation is correct and does indeed extract correct footprints. 

\end{document}
